#pragma once
#ifndef DISC_BOUNDARY_CONDITIONS_H
#define DISC_BOUNDARY_CONDITIONS_H

/*
 * Macros used to define disc boundary conditions
 */

#define DISC_BOUNDARY_CONDITION_NONE 0
#define DISC_BOUNDARY_CONDITION_INNER_REVAP_IN 1
#define DISC_BOUNDARY_CONDITION_INNER_BINARY_TORQUE 2
#define DISC_BOUNDARY_CONDITION_INNER_DISC_TORQUE 3
#define DISC_BOUNDARY_CONDITION_OUTER_DISC_ANGULAR_MOMENTUM 4
#define DISC_BOUNDARY_CONDITION_OUTER_REVAP_OUTER 5


#endif // DISC_BOUNDARY_CONDITIONS_H
